Support » Plugin: Simple History » Simple History Fatal Error

  • Resolved mcascant

    (@mcascant)


    Hi!
    I found this message.
    I cannot use Simple History.
    Any hint?
    Best.
    Mcascant

    Detalles del error
    ==================
    Se ha producido un error del tipo E_ERROR en la línea 1749 del archivo /home/rachelle/public_html/wp-content/plugins/simple-history/inc/SimpleHistory.php. Mensaje de error: Uncaught Error: Unknown named parameter $arr_active_tab in /home/rachelle/public_html/wp-content/plugins/simple-history/inc/SimpleHistory.php:1749
    Stack trace:
    #0 /home/rachelle/public_html/wp-includes/class-wp-hook.php(287): SimpleHistory->settings_page_output(”)
    #1 /home/rachelle/public_html/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(”, Array)
    #2 /home/rachelle/public_html/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #3 /home/rachelle/public_html/wp-admin/admin.php(259): do_action(‘settings_page_s…’)
    #4 /home/rachelle/public_html/wp-admin/options-general.php(10): require_once(‘/home/rachelle/…’)
    #5 {main}
    thrown
    in /home/rachelle/public_html/wp-content/plugins/simple-history/inc/SimpleHistory.php on line 1749

    The page I need help with: [log in to see the link]

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author eskapism

    (@eskapism)

    Thanks for the bug report. I haven’t tested the plugin on PHP 8 so that’s probably the reason. Where did you get this error? After just installing the plugin or after doing something specific?

    Same issue here. Problem occurs after clean install when trying to access the settings page or and other subpage regarding Simple History for that matter.

    Plugin Author eskapism

    (@eskapism)

    This should be fixed in 2.41.0, please give it a try!

    Thread Starter mcascant

    (@mcascant)

    Sure I will give a try. I love Simple History.
    I did not see your first message, my apologies.

    I do not remember any more the scenario how it happened. I think it just prompted to me. I’m quite sure that that wasn’t in PHP 8,0. I had already installed it. I do in all my webs.

    I will be glad to give more detailed info if you need. Ill be following the messages from now on.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.